Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004669 [JEDI VCL] 00 JVCL Components major always 2009-01-23 07:05 2009-07-08 15:40
Reporter Mistral View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.35
Summary 0004669: [TJvDBMaskEdit] 3.36 when modify a date or datetime DB field you get an EConvertError
Description On JVCL 3.33 all works fine. On 3.36 a modify on the method :

procedure TJvDBMaskEdit.UpdateData(Sender: TObject);

in the unit JvDBControls systematically raises an exception EConvertError ('xxxx' is not a valid date) when modifying a DB field date or datetime kind.
Additional Information To solve this issue for the moment I modify the procedure like that :

procedure TJvDBMaskEdit.UpdateData(Sender: TObject);
//var
// OrgMask: string;
begin
  ValidateEdit;
// if IsMasked then
// begin
// OrgMask := EditMask;
// try
// EditMask := '';
// if Text = '' then
// begin
// FDataLink.Field.Clear;
// Exit;
// end;
// finally
// EditMask := OrgMask;
// end;
// end;
  FDataLink.Field.Text := Text;
end;

Tags No tags attached.
Attached Files zip file icon TestProject.zip [^] (13,020 bytes) 2009-04-30 14:51

- Relationships

-  Notes
(0015451)
obones (administrator)
2009-04-29 11:45

Please provide the zipped sources of a sample application showing this.
(0015504)
Mistral (reporter)
2009-04-30 14:56

I've attached a TestProject.zip. There is a sample project with a sample Ms Access DB. Run the program, click on connect and try to modify the date field : I get an EConvertError. I'm testing it with the original 3.36 JVCL on D2007 or D2009.
(0015787)
obones (administrator)
2009-07-08 15:40

This is now fixed in SVN

- Issue History
Date Modified Username Field Change
2009-01-23 07:05 Mistral New Issue
2009-02-02 01:25 obones Status new => acknowledged
2009-04-29 11:45 obones Note Added: 0015451
2009-04-29 11:45 obones Status acknowledged => feedback
2009-04-30 14:51 Mistral File Added: TestProject.zip
2009-04-30 14:56 Mistral Note Added: 0015504
2009-07-06 14:10 obones Status feedback => acknowledged
2009-07-08 15:40 obones Note Added: 0015787
2009-07-08 15:40 obones Status acknowledged => resolved
2009-07-08 15:40 obones Fixed in Version => Daily / SVN
2009-07-08 15:40 obones Resolution open => fixed
2009-07-08 15:40 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker